const {GITHUB_EVENT_PATH, GITHUB_REF = '', TRAVIS_PULL_REQUEST} = process.env

const MAIN_BRANCH = 'master'

exports.checkIsPullRequest = async () => {
  if (TRAVIS_PULL_REQUEST) {
    // transform string to a Boolean
    return TRAVIS_PULL_REQUEST !== 'false'
  } else {
    try {
      const event = require(GITHUB_EVENT_PATH)
      console.log(event)
    } catch (e) {
      console.log('Not event file found')
      console.log(GITHUB_EVENT_PATH)
    }
    const [processBranch] = GITHUB_REF.split('/').reverse()
    console.log({mainBranch: MAIN_BRANCH, processBranch})
    return MAIN_BRANCH !== processBranch
  }
}
